Subject: Budget watches for posh looks

From: " Webdav-archive" <[email-masked] >
Date: Tue, 10 Jul 2007 10:13:55 -0500

Be on time with one of our luxury replica timepieces – and save money!
Lowest prices, free express delivery and many other perks are waiting!
Huge choice of desirable chronometers always in stock – only at our shop!
http://stflu.com